### Hierarchy

- URLSearchParams

### Implements

- Iterable<[string, string]>

## Index

### Constructors

- constructor

### Methods

- __@iterator
- append
- delete
- entries
- forEach
- get
- getAll
- has
- keys
- set
- sort
- toString
- values

## Constructors

### constructor

- new URLSearchParams(init?: URLSearchParams | string | object | Iterable<[string, string]> | Array<[string, string]>): URLSearchParams

- - Defined in node_modules/@types/node/url.d.ts:88

  #### Parameters

  - ##### Optional init: URLSearchParams | string | object | Iterable<[string, string]> | Array<[string, string]>

  #### Returns URLSearchParams

## Methods

### __@iterator

- __@iterator(): IterableIterator<[string, string]>

- Implementation of Iterable.__@iterator

  - Defined in node_modules/@types/node/url.d.ts:102

  #### Returns IterableIterator<[string, string]>

### append

- append(name: string, value: string): void

- - Defined in node_modules/@types/node/url.d.ts:90

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### delete

- delete(name: string): void

- - Defined in node_modules/@types/node/url.d.ts:91

  #### Parameters

  - ##### name: string

  #### Returns void

### entries

- entries(): IterableIterator<[string, string]>

- - Defined in node_modules/@types/node/url.d.ts:92

  #### Returns IterableIterator<[string, string]>

### forEach

- forEach(callback: function): void

- - Defined in node_modules/@types/node/url.d.ts:93

  #### Parameters

  - ##### callback: function

    - - (value: string, name: string, searchParams: this): void

      - #### Parameters

        - ##### value: string

        - ##### name: string

        - ##### searchParams: this

        #### Returns void

### get

- get(name: string): string | null

- - Defined in node_modules/@types/node/url.d.ts:94

  #### Parameters

  - ##### name: string

  #### Returns string | null

### getAll

- getAll(name: string): string[]

- - Defined in node_modules/@types/node/url.d.ts:95

  #### Parameters

  - ##### name: string

  #### Returns string[]

### has

- has(name: string): boolean

- - Defined in node_modules/@types/node/url.d.ts:96

  #### Parameters

  - ##### name: string

  #### Returns boolean

### keys

- keys(): IterableIterator<string>

- - Defined in node_modules/@types/node/url.d.ts:97

  #### Returns IterableIterator<string>

### set

- set(name: string, value: string): void

- - Defined in node_modules/@types/node/url.d.ts:98

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### sort

- sort(): void

- - Defined in node_modules/@types/node/url.d.ts:99

  #### Returns void

### toString

- toString(): string

- - Defined in node_modules/@types/node/url.d.ts:100

  #### Returns string

### values

- values(): IterableIterator<string>

- - Defined in node_modules/@types/node/url.d.ts:101

  #### Returns IterableIterator<string>

Generated using TypeDoc